
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>性能测试知多少---系统架构分析 / iVAN</title>

    <meta name="description" content="性能测试知多少---系统架构分析 有些事儿一旦放一放就难再拾起来,突然发现&lt;性能测试知多少&gt;这个系列两月没更新,关键时我都不知道啥时候放下的,总容易被各种技术所吸引走,如饥似渴的想学更多的东西,这几天一直有朋友问我为啥不写了,我才意识,事情要一样一样做,我现在要把这个系列完成.   之前有对性能需求进行过分析,那篇主要从项目业务.背景等角度如何抽丝剥茧的将项目的需求抽离出来.在我们进行需求的时候也需要对被测项目的架构有一定的认识,如果不了解被测系统的架构,那么在后期的性能分析与调优阶段将无从下手.   简单系统架构介 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">性能测试知多少---系统架构分析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　有些事儿一旦放一放就难再拾起来，突然发现《性能测试知多少》这个系列两月没更新，关键时我都不知道啥时候放下的，总容易被各种技术所吸引走，如饥似渴的想学更多的东西，这几天一直有朋友问我为啥不写了，我才意识，事情要一样一样做，我现在要把这个系列完成。</p>
<hr>
<br /> </p>
<p>　　之前有对性能需求进行过分析，那篇主要从项目业务、背景等角度如何抽丝剥茧的将项目的需求抽离出来。在我们进行需求的时候也需要对被测项目的架构有一定的认识，如果不了解被测系统的架构，那么在后期的性能分析与调优阶段将无从下手。</p>
<p> </p>
<p><strong>简单系统架构介绍                                                                              </strong></p>
<p> </p>
<p>　　因为每个公司的业务不同，采用的技术，架构也都有很大不同。但不管怎么变动，但基本都在三层架构的基础上扩展与改进。</p>
<p>下面看一个基本的系统架构：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDEyLzMxMTUxNi8yMDEyMTAxMTIzNTcxMTg0LnBuZw==.jpg"></p>
<p><strong>表示层</strong>：</p>
<p>　　表示层运行在客户终端上，运行java  applet 程序，提供协议控制和用户界面，与系统用户实现直接交互，通过TCP/HTTP协议与业务层系统通信，向应用层系统发送请求报文，并接收应用层系统返回的回应报文。</p>
<p><strong>业务逻辑层</strong>：</p>
<p>　　业务逻辑层作为中间层实现核心业务逻辑服务。</p>
<p>　　应用服务器主要运行中间件系统，中间件系统系统作为一个容器来运行各种应用软件系统。前台发来的请求报文通过中间件传递<br />
给应用程序，应用程序在处理的过程中调用数据层的数据服务器，数据服务器将查询的数据返回给应用程序，应用软件处理完成后通过中间件系统返回给客户端。</p>
<p>　　在大型的系统中，可以对应用系统进行拆分，比如拆分成交易服务，查询服务；或者通过负载均衡技术，来分散客户端发来的请求，使其能承受更大的用户访问量。</p>
<p><strong>数据层</strong>：</p>
<p>　　数据层运行在数据库主机上，负责整个系统中数据信息的存储。运行数据库服务程序，查询通过JDBC与应用程序进行通信，主要用于存储数据与提供数据查询等服务。</p>
<p>　　数据库集群技术就是对大型系统应用非常广泛的一种解决方案。</p>
<p> </p>
<p><strong>大型系统架构介绍                                                                               </strong></p>
<p> </p>
<p>　　前面介绍了一般系统的架构，那么一个大型的系统在设计中使用了哪些手段或技术来提高系统的性能呢</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDEyLzMxMTUxNi8yMDEyMTAxMjAwMDA0OTc0LnBuZw==.jpg"></p>
<p><strong>操作系统</strong></p>
<p>　　操作系统是硬件与软件之间的桥梁，那么一个稳定的操作系统是系统坚实的基础。在个人操作系统领域，windows 无疑是绝对的霸主，但随着近几年的发展，linux/unix以其不俗的性能表现，超强的稳定性与安全性使其在服务器领域变成重多企业的首选。因为系统服务器由少数技术人员使用，他们更看重系统的性能、稳定性和安全性等方面的表现。</p>
<p><strong>Web</strong><strong>服务器</strong></p>
<p>　　Web服务器即中间件服务器，是应用程序的载体（容器），应用程序只有在中间件服务器上才能正常的运行被外界所访问使用。对于window系统来说，IIS是微软配套的web服务器，他们的搭配应该是夫妻是之间的默契；apache 作为开源力量代表，不管在windows还是linux下面都非常得宠。因为linux与apache 都为开源产品且性能优异，应用非常广泛。</p>
<p>　　· 淘宝网（阿里巴巴）: Linux操作系统 + Web 服务器: Apache</p>
<p>　　· 新浪：FreeBSD + Web 服务器：Apache</p>
<p>　　· Yahoo：FreeBSD + Web 服务器：自己的</p>
<p>　　· Google: 部分Linux + Web 服务器：自己的</p>
<p>　　· 百度：Linux + Web 服务器: Apache</p>
<p>　　· 网易：Linux + Web 服务器: Apache</p>
<p>　　· eBay: Windows Server 2003/8 (大量) + Web 服务器：Microsoft IIS</p>
<p>　　· MySpace: Windows Server 2003/8 + Web 服务器：Microsoft IIS</p>
<p> </p>
<p><strong>常用的系统架构是</strong>:</p>
<p>· Linux + Apache + PHP + MySQL</p>
<p>· Linux + Apache + Java (WebSphere) + Oracle</p>
<p>· Windows Server 2003/2008 + IIS + C#/ASP.NET + 数据库</p>
<p>· Window Server 2003/2008 + tomcat + MySql</p>
<p> </p>
<p> </p>
<p><strong>提高系统性能的相关技术                                                              </strong></p>
<p> </p>
<p><strong>网页HTML 静态化</strong></p>
<p>　　其实大家都知道网页静态化,效率最高,消耗最小的就是纯静态化的 html 页面,所以我们尽可能使我们的网站上的页面采用静态页面来实现,这个最简单的方法其实也是最有效的方法。</p>
<p>　　但是对于大量内容并且频繁更新的网站,我们无法全部手动去挨个实现,于是出现了我们常见的信息发布系统 CMS,像我们<br />
常访问的各个门户站点的新闻频道,甚至他们的其他频道,都是通过信息发布系统来管理和实现的,信息发布系统可以实现最简单的信息录入自动生成静态页面,还<br />
能具备频道管理,权限管理,自动抓取等功能,</p>
<p>　　对于一个大型网站来说,拥有一套高效,可管理的CMS 是必不可少的，除了门户和信息发布类型的网站,对于交互性要求很<br />
高的社区类型网站来说,尽可能的静态化也是提高性能的必要手段,将社区内的帖子,文章进行实时的静态化,有更新的时候再重新静态化也是大量使用的策略,像<br />
Mop 的大杂烩就是使用了这样的策略,网易社区等也是如此同时,html 静态化也是某些缓存策略使用的手段,</p>
<p>　　对于系统中频繁使用数据库查询但是内容更新很小的应用,可以考虑使用 html 静态化来实现,比如论坛中论坛的公用设<br />
置信息,这些信息目前的主流论坛都 可以进行后台管理并且存储再数据库中,这些信息其实大量被前台程序调用,但是更新频率很小,可以 考虑将这部分内容进<br />
行后台更新的时候进行静态化,这样避免了大量的数据库访问请求；</p>
<p> </p>
<p><strong>图片服务器分离</strong></p>
<p>　　对Web 服务器来说,不管是 Apache,IIS 还是其他容器,图片是最消耗资源的,于是我们 有必要将图片与页<br />
面进行分离,这是基本上大型网站都会采用的策略,他们都有独立的图片服务器,甚至很多台图片服务器，这样的架构可以降低提供页面访问请求的服务器系统压<br />
力,并且可以保证系统不 会因为图片问题而崩溃,在应用服务器和图片服务器上,可以进行不同的配置优化,比如 apache 在配<br />
置 ContentType 的时候可以尽量少支持,尽可能少的 LoadModule,保证更高的系统消耗和执行效率；</p>
<p> </p>
<p><strong>数据库集群和库表散列 </strong></p>
<p>　　大型网站都有复杂的应用,这些应用必须使用数据库,那么在面对大量访问的时候,数据库的瓶颈很快就能显现出来,这时一台数据库将很快无法满足应用,于是我们需要使用数据库集群或者库表散列。</p>
<p>　　在数据库集群方面, 很多数据库都有自己的解决方案, Oracle, Sybase 等都有很好的方案,常用的 MySQL 提供的 Master/Slave 也是类似的方案,您使用了什么样的 DB,就参考相应的解决方案来实施即可。</p>
<p>　　上面提到的数据库集群由于在架构,成本,扩张性方面都会受到所采用 DB 类型的限制,于是我们需要从应用程序的角度来<br />
考虑改善系统架构,库表散列是常用并且最有效的解决方案，我们在应用程序中安装 业务和应用或者功能模块将数据库进行分离,不同的模块对应不同的数据库或<br />
者表,再按照一定的策略 对某个页面或者功能进行更小的数据库散列,比如用户表,按照用户 ID 进行表散列,这样就能够低成本 的提升系统的性能并且有<br />
很好的扩展性，sohu 的论坛就是采用了这样的架构,将论坛的用户,设置,帖 子等信息进行数据库分离,然后对帖子,用户按照板块和 ID 进行散列数<br />
据库和表,最终可以在配置文件 中进行简单的配置便能让系统随时增加一台低成本的数据库进来补充系统性能；</p>
<p> </p>
<p><strong>缓存</strong></p>
<p>　　缓存一词搞技术的都接触过,很多地方用到缓存，网站架构和网站开发中的缓存也是非常重要，这里先 讲述最基本的两种缓<br />
存，高级和分布式的缓存在后面讲述， 架构方面的缓存,对 Apache 比较熟悉的人都能知道 Apache 提供了自己的缓存模块,也可以使用外加<br />
的 Squid 模块进行缓存,这两种方式均可以有效的提高 Apache 的访问响应能力， 网站程序开发方面的缓存,Linux 上提供<br />
的 Memory Cache 是常用的缓存接口,可以在 web 开发中使用, 比如用 Java 开发的时候就可以调用 MemoryCache 对<br />
一些数据进行缓存和通讯共享, 一些大型社区使用了 这样的架构， 另外, 在使用 web 语言开发的时候, 各种语言基本都有自己的缓存模块和方<br />
法, PHP 有 Pear 的 Cache 模块,Java 就更多了,net 不是很熟悉,相信也肯定有；</p>
<p> </p>
<p><strong>镜像</strong></p>
<p>镜像是大型网站常采用的提高性能和数据安全性的方式,镜像的技术可以解决不同网络接入商和地域带来的用户访问速度差异, 比<br />
如 ChinaNet 和 EduNet 之间的差异就促使了很多网站在教育网内搭建镜像站点,数据进行定时更新或者实时更新，在镜像的细节技术方面,这<br />
里不阐述太深,有很多专业的现成的解决 架构和产品可选，也有廉价的通过软件实现的思路,比如 Linux 上的 rsync 等工具；</p>
<p> </p>
<p><strong>负载均衡</strong></p>
<p>负载均衡将是大型网站解决高负荷访问和大量并发请求采用的终极解决办法，负载均衡技术发展了多年,有很多专业的服务提供商和产品可以选择,下面介绍几种常见的负载均衡。</p>
<h4>1. 基于DNS的负载均衡--一个域名绑定多个IP</h4>
<p>　　DNS负载均衡技术是最早的负载均衡解决方案，它是通过DNS服务中的随机名字解析来实现的，在DNS服务器中，可以为多个不同的地址配置同一个名字，而最终查询这个名字的客户机将在解析这个名字时得到其中的一个地址。因此，对于同一个名字，不同的客户机会得到不同的地址，它们也就访问不同地址上的Web 服务器，从而达到负载均衡的目的。</p>
<p>　　这种技术的优点是，实现简单、实施容易、成本低、适用于大多数TCP/IP应用；但是，其缺点也非常明显，首先这种方案不是真正意义上的负载均衡，DNS 服务器将Http请求平均地分配到后台的Web服务器上，而不考虑每个Web服务器当前的负载情况；如果后台的Web服务器的配置和处理能力不同，最慢的 Web服务器将成为系统的瓶颈，处理能力强的服务器不能充分发挥作用；其次未考虑容错，如果后台的某台Web服务器出现故障，DNS服务器仍然会把DNS 请求分配到这台故障服务器上，导致不能响应客户端。最后一点是致命的，有可能造成相当一部分客户不能享受Web服务，并且由于DNS缓存的原因，所造成的后果要持续相当长一段时间(一般DNS的刷新周期约为24小时)。所以在国外最新的建设中心Web站点方案中，已经很少采用这种方案了。</p>
<h4>2. 通过硬件四层交换实现负载均衡</h4>
<p>　　在硬件四层交换产品领域，有一些知名的产品可以选择，比如Alteon、F5等，这些产品很昂贵，但是物有所值，能够提供非常优秀的性能和很灵活的管理能力。Yahoo中国当初接近2000台服务器使用了三四台Alteon就搞定了</p>
<h4>3. 通过软件四层交换实现负载均衡</h4>
<p>　　软件四层交换我们可以使用Linux上常用的LVS来解决，LVS就是Linux Virtual Server，他<br />
提供了基于心跳线heartbeat的实时灾难应对解决方案，提高系统的鲁棒性，同时可供了灵活的虚拟VIP配置和管理功能，可以同时满足多种应用需求，<br />
这对于分布式的系统来说必不可少。</p>
<p>一个典型的使用负载均衡的策略就是，在软件或者硬件四层交换的基础上搭建squid集群，这种思路在很多大型网站包括搜索引擎上被采用，这样的架构低成本、高性能还有很强的扩张性。</p>
<h4>4. 通过反向代理服务器实现负载均衡</h4>
<p>　　反向代理服务器又称为 WEB 加速服务器，它位于 WEB 服务器的前端，充当WEB服务器的内容缓存器,反向代理<br />
服务器是针对 WEB 服务器设置的，后台 WEB 服务器对互联网用户是透明的，用户只能看到反向代理服务器的地址，不清楚后台 WEB 服务器是如何<br />
组织架构的。当互联网用户请求 WEB 服务时，DNS 将请求的域名解析为反向代理服务器的 IP 地址，这样 URL 请求将被发送到反向代理服务<br />
器，由反向代理服务器负责处理用户的请求与应答、与后台 WEB 服务器交互。利用反向代理服务器减轻了后台 WEB 服务器的负载，提高了访问速度，同<br />
时避免了因用户直接与 WEB 服务器通信带来的安全隐患。</p>
<p> </p>
<p>-------------------------------------</p>
<p>      这篇文章非常纠结，以目前技术水平来讲这块的东西实属班门弄斧。部分内容从互联网搜集。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 10:42:45</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%b4%9f%e8%bd%bd%e5%9d%87%e8%a1%a1/" title="负载均衡">负载均衡</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>性能测试知多少---系统架构分析的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrAZOM.html" rel="bookmark">面向服务的云制造系统架构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面向服务的云制造系统架构分析 康玲 吴华 王时龙 周杰 为了解决当前云制造尚缺应用模式的问题,根据云制造全生命周期智慧制造.按需动态构建及多粒度服务等特点,提出了基于Agent的云制造系统5层架构.基于面向服务的思想,建立了云制造OWLS本体模型,通过本体映射.推理机.匹配器完成服务请求.发布和绑定流程,提出了一种面向云制造服务的OWLS本体扩展框架和Web语义化描述方法,为云制造服务匹配奠定了理论基础.构建了基于Agent的云制造服务协商机制,通过Agent分工.合作.竞争及协商实现云制造			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwXjAnb.html" rel="bookmark">限时抢购秒杀系统架构分析与实战&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 秒杀业务分析 正常电子商务流程 (1)查询商品:(2)创建订单:(3)扣减库存:(4)更新订单:(5)付款:(6)卖家发货 秒杀业务的特性 (1)低廉价格:(2)大幅推广:(3)瞬时售空:(4)一般是定时上架:(5)时间短.瞬时并发量高: 2 秒杀技术挑战 假设某网站秒杀活动只推出一件商品,预计会吸引1万人参加活动,也就说最大并发请求数是10000,秒杀系统需要面对的技术挑战有: 对现有网站业务造成冲击 秒杀活动只是网站营销的一个附加活动,这个活动具有时间短,并发访问量大的特点,如果和网站原			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg0DVAp.html" rel="bookmark">限时抢购秒杀系统架构分析与实战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 秒杀业务分析 正常电子商务流程 (1)查询商品:(2)创建订单:(3)扣减库存:(4)更新订单:(5)付款:(6)卖家发货 秒杀业务的特性 (1)低廉价格:(2)大幅推广:(3)瞬时售空:(4)一般是定时上架:(5)时间短.瞬时并发量高: 2 秒杀技术挑战 假设某网站秒杀活动只推出一件商品,预计会吸引1万人参加活动,也就说最大并发请求数是10000,秒杀系统需要面对的技术挑战有: 对现有网站业务造成冲击 秒杀活动只是网站营销的一个附加活动,这个活动具有时间短,并发访问量大的特点,如果和网站原			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDnKnWM.html" rel="bookmark">大型网站系统架构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://blog.csdn.net/tglg/archive/2009/12/03/4923999.aspx			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NrdDz.html" rel="bookmark">性能测试知多少---性能分析与调优的原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近一直纠结性能分析与调优如何下手,先从硬件开始,还是先从代码或数据库.从操作系统(CPU调度,内存管理,进程调度,磁盘I/O).网络.协议(HTTP, TCP/IP ),还是从应用程序代码,数据库调优,中间件配置等方面入手. 单一个中间件又分web中间件(apache .IIS),应用中间件(tomcat .weblogic .webSphere )等,虽然都是中间件,每一样拎出来往深了学都不是一朝一夕之功.但调优对于每一项的要求又不仅仅是&quot;知道&quot;或&quot;会使用&quot;这么			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Z9aKp.html" rel="bookmark">关于系统性能测试的步骤总结和分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于系统性能测试的步骤总结和分析 近期接触的项目,进行了比较多的性能测试,就性能测试的步骤做一下总结和分析,也希望对以后的工作有益. 性能测试,是一种&quot;正常&quot;的测试,主要是测试正常使用时,系统及时性(响应时间.吞吐率)是否满足要求,同时可能为了保留系统的扩展空间进行一些稍稍超出&quot;正常&quot;范围的测试. 常用软件:HP  LoadRunner 系统性能测试中的几大步骤: 1.明确测试目标:了解性能测试需求: 2.编写性能测试计划: 3.分析性能测试需求: 4.编写性能测试			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M69m5ob.html" rel="bookmark">腾讯分析系统架构解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TA(Tencent Analytics,腾讯分析)是一款面向第三方站长的免费网站分析系统,在数据稳定性.及时性方面广受站长好评,其秒级的实时数据更新频率也获得业界的认可.本文将从实时数据处理.数据存储等多个方面带你深入探寻TA的系统架构及实现原理. 网站分析(Web Analytics)主要指的是基于网站的用户浏览行为,对网站的点击流数据和运营数据进行分析,以监控网站的运营状况,为网站的优化提供决策依据.网站 分析系统已成为站长日常运营必不可少的工具,业界比较流行的网站分析系统主要有Googl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6ny9M.html" rel="bookmark">性能测试知多少---性能测试流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				性能测试知多少---性能测试流程 看到好多新手,在性能需求模糊的情况下,随便找一个性能测试工具,然后就开始进行性能测试了,在这种情况下得到的性能测试结果很难体现系统真实的能力,或者可能与系统真实的性能相距甚远. 与功能测试相比,性能测试在技术层面具有更大的复杂性.在以往的测试流程中,性能测试只是测试流程的一部分,是系统或验收测试的一个可选项.但随着测试技术的发展.许多公司也单独把性能测试独立出来,建立专门的性能测试小组或团队.那么性能测试在实施的过程中也需要建立独立的流程与规范. 虫师提出了自己			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmVx5z.html" rel="bookmark">系统架构-性能篇章2（系统拆分2-问题）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在文章&lt;系统架构-性能篇章2(系统拆分1)&gt;有提及到过关于系统在什么情况下会拆分,拆分的目之类的问题,本文会阐述一些关于拆分过程中遇到的各种各样的常见问题进行分析,和上一个文章中提及到的一样,讲解的目录如下: 1.负载均衡设备的问题. 2.不同系统之间的通信问题. 3.数据写入和查找的问题. 4.跨数据库事务问题. 5.跨数据库序列问题. 6.不同应用的本地缓存问题. 7.系统之间的直接依赖和间接依赖问题. 8.独立模块面临的单点问题. 9.各类批量分组.切换.扩展的问题. 10.统一监控和恢			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXZOLb.html" rel="bookmark" class="title">&lbrack;ASP技术&rsqb;asp防止同时登陆的问题</a>
					<div>
						问题 实现这个功能可有两种方式: 1.application 用application对象:如果做的是大型社区,可能要为每个登陆id生成一个appliaction,这样做虽然程序上设计会简单些但登陆用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWPl7p.html" rel="bookmark" class="title">分享比较热门的原型设计工具</a>
					<div>
						交互设计师的一项重要工作就是进行产品原型设计(Prototype Design).而产品原型设计最基础的工作,就是画出站点的大体wireframe(框架图)并结合批注.大量的说明以及流程图等,将自己的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOROqp.html" rel="bookmark" class="title">超过百度产品排名的四项关键性战略措施</a>
					<div>
						百度自身产品太多,其中长期霸占多个关键词第一名的大多数都是百度百科.百度知道,比如互联网火爆的热门关键词SEO,笔者打开一看,百度百科占据在第一位.   很多站长都想超过百度自身产品成为第一名,这个心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwmKQz.html" rel="bookmark" class="title">一个XP使用者眼中的Windows 7</a>
					<div>
						我本来想将这篇文章命名为&quot;windows 7试用报告&quot;,但我想我没有太多资格这样命名,因为我在大多数时间用的是XP,vista没有深入使用过.只知道vista的UAC很烦人.根据统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M912A4M.html" rel="bookmark" class="title">Word2007中插入模式的启用与禁用</a>
					<div>
						以允许用户使用Insert键控制改写模式.当&quot;插入模式&quot;启用时,用户可以使用Insert键切换插入或改写状态.如果处于改写状态,则用户可以将光标所在处的文本直接改写为其他文本. 在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOZJ5b.html" rel="bookmark" class="title">ps如何美白牙齿牙龈</a>
					<div>
						ps如何美白牙齿牙龈   这是美白之后的效果. 原图,好了下面我们就来看看教程吧,打开要ps的照片.           更多知识请关注 三联ps教程 栏目					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7gY3M.html" rel="bookmark" class="title">6步处理好网络连接故障问题</a>
					<div>
						网络管理员会经常遇到网络连接故障,如果没有工具常常不知道如下手进行故障排除,下面介绍六个排查的基本步骤.可以了解如何通过正确的工具并按照6个简单的步骤操作来简化识别.隔离和解决边缘交换机和用户计算机之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR6Aaz.html" rel="bookmark" class="title">调节windows 7系统文件夹图标大小的绝招</a>
					<div>
						windows7的文件夹显示方式常见的就是幻灯,列表,详细信息,大图标,小图标等等方式.但是这些都是微软windows7系统自带的显示方式,刚在群里面有人就说这些自带的显示方式不太适合自己,总感觉wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjaPlp.html" rel="bookmark" class="title">关于JS自动计算的问题</a>
					<div>
						 &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; cha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6E72b.html" rel="bookmark" class="title">Excel 2007怎么将文本格式转数字格式</a>
					<div>
						  Excel 2007之所以强大,是在于Excel 2007装载着很多很实用的功能,在Excel 2007的单元格中可以输入不同的数字形式,比如日期.货币.生日等.数字格式转换文本格式的操作大家都比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXl2Ap.html" rel="bookmark" class="title">Excel使用函数将公历日期转换为农历</a>
					<div>
						  Excel是Office中一个表格办公软件,用Excel做报表比用Word上制作表格方便的多,不用自己去画那一格一格的表格,那下面小编就教大家在Excel中用函数将公历日期转换为农历的方法,这个步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42aGLM.html" rel="bookmark" class="title">Windows Server 2012 R2和SMB 3&period;0加速动态迁移过程</a>
					<div>
						  将虚拟机从一台微软Hyper-V主机移动到另一台并不是惊天动地的消息,但是你做到了吗?微软Server 2012和2012 R2通过图形Hyper-V管理器就能轻易实现这个迁移过程.如果你像我一样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZQN4z.html" rel="bookmark" class="title">&lbrack;Java&rsqb; 多线程下生产者消费者问题的五种同步方法实现</a>
					<div>
						版权声明:请尊重个人劳动成果,转载注明出处,谢谢! 目录(?)[+] 生产者消费者模式是通过一个容器来解决生产者和消费者的强耦合问题.    生产者消费者模式的优点 - 解耦 - 支持并发 - 支持忙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrWnZM.html" rel="bookmark" class="title">eclipse安装反编译工具jad打开&period;class文件报错</a>
					<div>
						问题描述 eclipse安装反编译工具jad打开.class文件报错 /*jadclipse*/ /* DECOMPILATION REPORT Decompiled from: D:mavenrep ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA73dez.html" rel="bookmark" class="title">easyui-JSON存储了两个list，在前台如何获取解析呢</a>
					<div>
						问题描述 JSON存储了两个list,在前台如何获取解析呢 用的spring mvc注解和easyui,在后台存储了两个对象list,前台已经获取了JSON,如何分别获取list并解析呢,下面JSON ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg2V4b.html" rel="bookmark" class="title">jquery 获取对象问题</a>
					<div>
						问题描述 问题场景:一个div下有多个input标签,其中包含多种类型的input标签,例如:type=&quot;text&quot;,type=&quot;hidden&quot;,type=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rayrp.html" rel="bookmark" class="title">取消Word中过于&amp;quot&semi;热情&amp;quot&semi;的服务</a>
					<div>
						Word是-款十分&quot;热情&quot;的软件,许多服务项目不请自来,比如你输入一个网址,它会自动将它转换为超链接:你输入的语句它 认为有语病,会主动地在语句下添加波浪线加以提醒,这样的&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKoD0z.html" rel="bookmark" class="title">HostUS KVM主机安装Windows2008&sol;2012系统图文过程</a>
					<div>
						HostUS商家虽然成立没有几年时间,但是最近一年的折腾,尤其是针对中国市场用户还是比较费心思的.从开始推出SL线路香港.新加坡机房,虽然最近线路不行之后也开始继续变通.HostUS增设KVM架构环境 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKDPjb.html" rel="bookmark" class="title">网站优化的3个seo小技巧</a>
					<div>
						网站运营的基础就是优化,对于很多人来讲,想要把网站做好,提升排名,无疑是一件比较苦恼的事.但是做网站优化,实际上也并没有想的那么复杂,有时候我们可以运用一些优化技巧,就可以把网站优化做好.   做好网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze02VVp.html" rel="bookmark" class="title">苏宁银行尚未落地   苏宁保险又在酝酿当中</a>
					<div>
						推个险产品同时定制企业保险方案 苏宁银行尚未落地,苏宁保险又在酝酿当中,苏宁正在加速&quot;全金融&quot;布局.北京商报记者昨日获悉,苏宁云商又打算把触角伸向保险领域,采取线上线下联动方式销售 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqXgnp.html" rel="bookmark" class="title">报喜鸟欲再购宝鸟80&percnt;股份将利用其电子商务平台</a>
					<div>
						已经拥有上海宝鸟服饰有限公司(下称&quot;宝鸟&quot;)20%股份的浙江报喜鸟服饰股份有限公司(002154.SZ,下称&quot;报喜鸟&quot;)计划将收购宝鸟剩余的80%股份.全资拥有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Qw0dM.html" rel="bookmark" class="title">EJB3&period;0之实体Bean的继承&lowbar;JSP编程</a>
					<div>
						在EJB3.0中,实体Bean可以实现继承关系. 比如有个Person的实体bean,它有姓名和性别两个属性. 上帝和女娲造人的时候,造出两种人:Man和Woman.Man和Woman都是实体Bean ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLlPdM.html" rel="bookmark" class="title">Android搜索框通用版&lowbar;Android</a>
					<div>
						之前项目总会遇到很多搜索框类的功能,虽然不是很复杂,不过每次都要去自己处理数据,并且去处理搜索框的变化,写起来也比较麻烦,今天来做一个比较简单的通用搜索栏. 先看下效果图: 没什么特别的,只是今天要做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnEK5p.html" rel="bookmark" class="title">有问必答之密码保护必备知识篇&lowbar;WindowsXP</a>
					<div>
						现在是密码的时代,QQ.MSN.邮箱.系统.RAR.ZIP.Word.Excel.网上银行.论坛密码等等.密码无处不在,可以给我们更多的安全.但它在给我们必要的安全保障的同时,一旦密码丢失或被盗,则会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GKwgp.html" rel="bookmark" class="title">android-java服务端响应不了post请求</a>
					<div>
						问题描述 java服务端响应不了post请求 package net.shopxx.aa; import java.io.IOException; import java.util.HashMap;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q1wap.html" rel="bookmark" class="title">请教一段幻灯片代码如何让其自动运行</a>
					<div>
						问题描述 网上找了个jquery特效代码,自己不懂,现在需要自动播放请问要怎么写代码. 解决方案 在list.js的最后一行代码 smallPicSelected();后面加入window.setIn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GxPNM.html" rel="bookmark" class="title">这七种数据分析领域中最为人称道的降维方法</a>
					<div>
						近来由于数据记录和属性规模的急剧增长,大数据处理平台和并行数据分析算法也随之出现.于此同时,这也推动了数据降维处理的应用.实际上,数据量有时过犹不及.有时在数据分析应用中大量的数据反而会产生更坏的性能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWnWQp.html" rel="bookmark" class="title">资金小幅回流券商股成增仓重点</a>
					<div>
						昨日两市合计成交1674亿元,与前一交易日基本持平,资金净流入约18亿元.广州万隆的数据显示,昨日资金再度小幅回流,回流资金主要集中在券商.黄金等少数板块,其他板块未现全面回流. 昨日资金成交前5名的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeL4g7p.html" rel="bookmark" class="title">天津全面展开物联网专项资金申报工作</a>
					<div>
						继去年天津国芯科技.盘石纳新科技.天地伟业数据科技等6家公司获得第一批国家工信部物联网发展专项资助后,今年市经信委将组织实施一批物联网研发.产业化.应用示范工程及公共服务平台项目,并对重点项目给予首次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0OZQAb.html" rel="bookmark" class="title">贵州设立首支战略新兴产业创投基金 规模2&period;5亿</a>
					<div>
						5朿7日,贵州省第一支获得国家发改委和财政部新兴产业创投引导基金支持的创业投资基金贵阳工投生牿a href=&quot;http://news.pedaily.cn/industry/医药/&quot ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
